Author Topic: 3.0.3g not working in Unity 4.3 WP8 Beta  (Read 1774 times)

djarcas

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 6
    • View Profile
3.0.3g not working in Unity 4.3 WP8 Beta
« on: November 01, 2013, 07:47:45 PM »
39 errors, all along the lines of :

Assets/NGUI/Scripts/Editor/UIToggleInspector.cs(18,30): error CS0115: `UIToggleInspector.OnInspectorGUI()' is marked as an override but no suitable method found to override

I downloaded NGUI off of the store today, and the readme assures me it's 3.0.3g (Specifically, I imported NGUI v.3.0.3.UnityPackage)

It's pretty much a clean project, sadly. Any ideas?

ArenMook

  • Administrator
  • Hero Member
  • *****
  • Thank You
  • -Given: 337
  • -Receive: 1171
  • Posts: 22,128
  • Toronto, Canada
    • View Profile
Re: 3.0.3g not working in Unity 4.3 WP8 Beta
« Reply #1 on: November 01, 2013, 08:12:09 PM »
This means you have your own class named "Editor" which conflicts with UnityEditor.Editor.

http://docs.unity3d.com/Documentation/ScriptReference/Editor.OnInspectorGUI.html

djarcas

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 6
    • View Profile
Re: 3.0.3g not working in Unity 4.3 WP8 Beta
« Reply #2 on: November 02, 2013, 05:16:45 AM »
You are a genius, and a king amongst men. Absolutely correct.